Loading...
Searching...
No Matches
caf::detail::init_fun_factory_helper< Base, F, ArgsPtr, ReturnsBehavior, HasSelfPtr > Class Template Referencefinal

Wraps a user-defined function and gives it a uniform signature. More...

`#include <init_fun_factory.hpp>`

## Public Member Functions

| init_fun_factory_helper (F fun, ArgsPtr args)
| init_fun_factory_helper (init_fun_factory_helper &&)=default
init_fun_factory_helper & | operator= (init_fun_factory_helper &&)=default
behavior | operator() (local_actor *self) final

## Detailed Description

template<class Base, class F, class ArgsPtr, bool ReturnsBehavior, bool HasSelfPtr>
class caf::detail::init_fun_factory_helper< Base, F, ArgsPtr, ReturnsBehavior, HasSelfPtr >

Wraps a user-defined function and gives it a uniform signature.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/init_fun_factory.hpp